scala.sys.process

# Process

#### object Process extends ProcessImpl with ProcessCreation

Methods for constructing simple commands that can then be combined.

Source
  Process.scala

Linear Supertypes
ProcessCreation, ProcessImpl, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Process
2. ProcessCreation
3. ProcessImpl
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def apply(name: String, exitValue: ⇒ Int): ProcessBuilder

   Creates a ProcessBuilder from a `String` name and a `Boolean`.

   Creates a ProcessBuilder from a `String` name and a `Boolean`. This can be used to force an exit value, with the name being used for `toString`.

   Definition Classes
     ProcessCreation

7. #### def apply(value: Boolean): ProcessBuilder

   Creates a ProcessBuilder from a `Boolean`.

   Creates a ProcessBuilder from a `Boolean`. This can be to force an exit value.

   Definition Classes
     ProcessCreation

8. #### def apply(command: Elem): ProcessBuilder

   Creates a ProcessBuilder from a Scala XML Element.

   Creates a ProcessBuilder from a Scala XML Element. This can be used as a way to template strings.

   Definition Classes
     ProcessCreation
   Example:

   1.     apply(<x> {dxPath.absolutePath} --dex --output={classesDexPath.absolutePath} {classesMinJarPath.absolutePath}</x>)

9. #### def apply(url: URL): URLBuilder

   Creates a ProcessBuilder from a `java.net.URL`.

   Creates a ProcessBuilder from a `java.net.URL`. This `ProcessBuilder` can then be used as a `Source`, so that one can pipe things from it.

   Definition Classes
     ProcessCreation

10. #### def apply(file: File): FileBuilder

    Creates a ProcessBuilder from a `java.io.File`.

    Creates a ProcessBuilder from a `java.io.File`. This `ProcessBuilder` can then be used as a `Source` or a `Sink`, so one can pipe things from and to it.

    Definition Classes
      ProcessCreation

11. #### def apply(builder: JProcessBuilder): ProcessBuilder

    Creates a ProcessBuilder from a `java.lang.ProcessBuilder`.

    Creates a ProcessBuilder from a `java.lang.ProcessBuilder`.

    Definition Classes
      ProcessCreation
    Example:

    1.     apply((new java.lang.ProcessBuilder("ls", "-l")) directory new java.io.File(System.getProperty("user.home")))

12. #### def apply(command: Seq[String], cwd: Option[File], extraEnv: (String, String)*): ProcessBuilder

    Creates a ProcessBuilder with working dir optionally set to `File` and extra environment variables.

    Creates a ProcessBuilder with working dir optionally set to `File` and extra environment variables.

    Definition Classes
      ProcessCreation
    Example:

    1.      apply("java" :: javaArgs, params.get("cwd"), "CLASSPATH" -> "library.jar")

13. #### def apply(command: String, cwd: Option[File], extraEnv: (String, String)*): ProcessBuilder

    Creates a ProcessBuilder with working dir optionally set to `File` and extra environment variables.

    Creates a ProcessBuilder with working dir optionally set to `File` and extra environment variables.

    Definition Classes
      ProcessCreation
    Example:

    1.      apply("java", params.get("cwd"), "CLASSPATH" -> "library.jar")

14. #### def apply(command: Seq[String], cwd: File, extraEnv: (String, String)*): ProcessBuilder

    Creates a ProcessBuilder with working dir set to `File` and extra environment variables.

    Creates a ProcessBuilder with working dir set to `File` and extra environment variables.

    Definition Classes
      ProcessCreation
    Example:

    1.      apply("java" :: javaArgs, new java.ioFile("/opt/app"), "CLASSPATH" -> "library.jar")

15. #### def apply(command: String, cwd: File, extraEnv: (String, String)*): ProcessBuilder

    Creates a ProcessBuilder with working dir set to `File` and extra environment variables.

    Creates a ProcessBuilder with working dir set to `File` and extra environment variables.

    Definition Classes
      ProcessCreation
    Example:

    1.      apply("java", new java.ioFile("/opt/app"), "CLASSPATH" -> "library.jar")

16. #### def apply(command: String, arguments: Seq[String]): ProcessBuilder

    Creates a ProcessBuilder from a command represented by a `String`, and a sequence of `String` representing the arguments.

    Creates a ProcessBuilder from a command represented by a `String`, and a sequence of `String` representing the arguments.

    Definition Classes
      ProcessCreation
    Example:

    1.      apply("cat", files)

17. #### def apply(command: Seq[String]): ProcessBuilder

    Creates a ProcessBuilder from a sequence of `String`, where the head is the command and each element of the tail is a parameter.

    Creates a ProcessBuilder from a sequence of `String`, where the head is the command and each element of the tail is a parameter.

    Definition Classes
      ProcessCreation
    Example:

    1.      apply("cat" :: files)

18. #### def apply(command: String): ProcessBuilder

    Creates a ProcessBuilder from a `String`, including the parameters.

    Creates a ProcessBuilder from a `String`, including the parameters.

    Definition Classes
      ProcessCreation
    Example:

    1.      apply("cat file.txt")

19. #### def applySeq[T](builders: Seq[T])(implicit convert: (T) ⇒ Source): Seq[Source]

    Creates a sequence of Source from a sequence of something else for which there's an implicit conversion to `Source`.

    Creates a sequence of Source from a sequence of something else for which there's an implicit conversion to `Source`.

    Definition Classes
      ProcessCreation

20. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

21. #### def cat(files: Seq[Source]): ProcessBuilder

    Creates a ProcessBuilder from a non-empty sequence of Source, which can then be piped to something else.

    Creates a ProcessBuilder from a non-empty sequence of Source, which can then be piped to something else.

    This will concatenate the output of all sources.

    Definition Classes
      ProcessCreation

22. #### def cat(file: Source, files: Source*): ProcessBuilder

    Creates a ProcessBuilder from one or more Source, which can then be piped to something else.

    Creates a ProcessBuilder from one or more Source, which can then be piped to something else.

    This will concatenate the output of all sources. For example:

        import scala.sys.process._
        import scala.sys.process.Process.cat
        import java.net.URL
        import java.io.File

        val spde = new URL("http://technically.us/spde/About")
        val dispatch = new URL("http://databinder.net/dispatch/About")
        val build = new File("project/build.properties")
        cat(spde, dispatch, build) #| "grep -i scala" !

    Definition Classes
      ProcessCreation

23. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

24. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

27. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

28. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

29. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

30. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

31. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

32. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from ProcessCreation

### Inherited from ProcessImpl

### Inherited from AnyRef

### Inherited from Any